org.apache.hadoop.security

## Enum Credentials.SerializedFormat

- java.lang.Object
- - java.lang.Enum<Credentials.SerializedFormat>
  - - org.apache.hadoop.security.Credentials.SerializedFormat

- All Implemented Interfaces:
    Serializable, Comparable<Credentials.SerializedFormat>
  Enclosing class:
    Credentials

      public static enum Credentials.SerializedFormat
      extends Enum<Credentials.SerializedFormat>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PROTOBUF`
    `WRITABLE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Credentials.SerializedFormat` | `valueOf(int val)`
    `static Credentials.SerializedFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Credentials.SerializedFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WRITABLE

          public static final Credentials.SerializedFormat WRITABLE

    - #### PROTOBUF

          public static final Credentials.SerializedFormat PROTOBUF

  - ### Method Detail

    - #### values

          public static Credentials.SerializedFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Credentials.SerializedFormat c : Credentials.SerializedFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Credentials.SerializedFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### valueOf

          public static Credentials.SerializedFormat valueOf(int val)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.